#### 7.10.2.13 crystallographicGroupCM

Procedure from library `fpalgebras.lib` (see fpalgebras_lib).

Usage:
  crystallographicGroupCM(d); d an integer

Return:
  ring

Note:
  - the ring contains the ideal I, which contains the required relations - cm group with the following presentation
  < x, y, t | [x, y] = t^2 = 1, t^(-1)*x*t = x*y, t^(-1)*y*t = y^(-1) > - d gives the degreebound for the Letterplace ring

Example:

    LIB "fpalgebras.lib";
    def R = crystallographicGroupCM(5); setring R;
    I;
    ==> I[1]=y*x+x*y+1
    ==> I[2]=y*x+x*y+t*t
    ==> I[3]=t*t+1
    ==> I[4]=t*x*t+x*y
    ==> I[5]=t*y*t+Y
    ==> I[6]=X*x+1
    ==> I[7]=x*X+1
    ==> I[8]=Y*y+1
    ==> I[9]=y*Y+1

User manual for Singular version 4.4.1, 2025, generated by texi2html.